/*
    <one line to give the program's name and a brief idea of what it does.>
    Copyright (C) <2010>  <Sacha schutz>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef TEXTEDITOR_H
#define TEXTEDITOR_H

#include <QWidget>

namespace Ui {
    class TextEditor;
}

class TextEditor : public QWidget {
    Q_OBJECT
public:
    TextEditor(QWidget *parent = 0);
    ~TextEditor();
    void setText(const QString& text);
    QString text();
    void clear();
private slots:
    void setColor();
    void setFont();
    void alignLeft();
    void alignRight();
    void alignCenter();
    void alignJustify();


protected:
    void changeEvent(QEvent *e);

private:
    Ui::TextEditor *ui;
};

#endif // TEXTEDITOR_H
