#include "patientform.h"

PatientForm::PatientForm(QWidget *parent) :
        AbstractForm(parent)
{

    setTitle("Patient");
    mFgb = new FieldListGroupBox("patients");
    setMainWidget(mFgb);
    setupUi();
}
void PatientForm::setupUi()
{

    ModelFieldWidget * centreField = new ModelFieldWidget("centres","numero");
    mFgb->fieldList()->addTitleSpace("appartient au centre");
    mFgb->fieldList()->addField("numero centre","centre_id", centreField);
    mFgb->fieldList()->addTitleSpace("patient");
    mFgb->fieldList()->addField("numero","numero", new StringFieldWidget);
    mFgb->fieldList()->addField("status","status", new IntFieldWidget);

}

void PatientForm::save()
{

    mFgb->fieldList()->save();
}
void PatientForm::load(QSqlRecord record)
{
    mFgb->fieldList()->load(record);
}
